﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using MenuLibrary;

namespace Puzzle15Console
{
    public static class Menus
    {
        public static readonly Menu GameMenu = new Menu()
        {
            Name = "Game Menu Puzzle15",
            ActionToDoFirst = GameUiLogic.DrawGameBoard,
            StartWithClearScreen = true,
            Items = new List<MenuItem>()
            {
                new MenuItem() { Command = "S", Value = "Start new game", MethodToExecute = GameUiLogic.StartNewGame},
                new MenuItem() { Command = "M", Value = "Make a move", MethodToExecute = GameUiLogic.MakeMove},
            }
        };

        public static readonly Menu MainMenu = new Menu()
        {
            Name = "Main Menu Puzzle15",
            StartWithClearScreen = true,
            Items = new List<MenuItem>()
            {
                new MenuItem() { Command = "P", Value = "Play the game", MethodToExecute = GameMenu.DoMenu},
                new MenuItem() { Command = "L", Value = "Leaderboard", MethodToExecute = null},
            }
        };





    }
}
